<?php
/**
 * EditableHiddenField // HAMAKA
 *
 * This control represents a user-defined hidden field in a user defined form
 *
 * @package userforms
 */

class EditableHiddenField extends EditableFormField {
	static $singular_name = 'Hidden field';
	static $plural_name = 'Hidden fields';

	function getFieldConfiguration() {
		$sDefValue = ($this->getSetting('Default')) ? $this->getSetting('Default') : '';

		return new FieldSet(
			new TextField(
				'Fields['.$this->ID.'][CustomSettings][Default]', 
				_t('EditableHiddenField.DEFAULT', 'Default Value'), 
				$sDefValue
			)
		);
	}

	function getFormField() {
		return new HiddenField($this->Name, '', $this->getSetting('Default'));
	}


	// "Remove" unnecessary fieldset groups
	function getFieldValidationOptions() { return false; }

	// This doesn't remove the CustomRules fieldset group...
	// function CustomRules() { return false; }

	// This option is left set to "true" in order to be able to use the value of a HiddenField as the "To" 
	// e-mail address; when set to "false", the HiddenField value isn't stored in the submission (in the database)
	// function showInReports() { return false; }
}